Bug 1507026 - [ESXi][RHEL7.5]x86/vmware: Skip lapic calibration on VMware.
Summary: [ESXi][RHEL7.5]x86/vmware: Skip lapic calibration on VMware.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Vitaly Kuznetsov
QA Contact: Bo Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-27 12:39 UTC by Daniele
Modified: 2019-07-22 16:09 UTC (History)
9 users (show)

Fixed In Version: kernel-3.10.0-782.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 22:44:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1062 0 None None None 2018-04-10 22:45:20 UTC

Description Daniele 2017-10-27 12:39:11 UTC
TAM Customer Motorola is asking to port some upstream patches to the RHEL Kernel to increase compatibility with VMWare and avoid problems in the future.

This one specifically is a port request for:
https://patchwork.kernel.org/patch/9356835/

Comment 4 Rafael Aquini 2017-11-14 01:48:54 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 6 Rafael Aquini 2017-11-14 18:53:35 UTC
Patch(es) available on kernel-3.10.0-782.el7

Comment 8 Bo Yang 2017-11-24 06:17:42 UTC
WW47.5 Update:

Have verified the issue in ESXi5.1 / ESXi5.5 / ESXi6.0 /ESXi6.5 wit BIOS and EFI, can't reproduce it.

ENV:
Host: All ESXis
Guest: RHEL-7.5 with kernel-3.10.0-797.el7
FW: BIOS and EFI

Steps to Verify:
1. Boot the VM without fixes before install the kernel-3.10.0-797.el7
2. Check the dmesg for "..trying to set up timer (IRQ0) through the 8259A ..."
3. Update to kernel-3.10.0-797.el7, and reboot to this kernel
4. Check the dmesg again

Result:
1. After step 2, all machines, currently can't find "..trying to set up timer (IRQ0) through the 8259A ..."
2. After step 4, all machines, "...Host bus clock speed read from hypervisor..." could be found

Comment 9 errata-xmlrpc 2018-04-10 22:44:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1062


Note You need to log in before you can comment on or make changes to this bug.